File: create.md

package info (click to toggle)
firefox 149.0-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 4,767,760 kB
  • sloc: cpp: 7,416,064; javascript: 6,752,859; ansic: 3,774,850; python: 1,250,473; xml: 641,578; asm: 439,191; java: 186,617; sh: 56,634; makefile: 18,856; objc: 13,092; perl: 12,763; pascal: 5,960; yacc: 4,583; cs: 3,846; lex: 1,720; ruby: 1,002; php: 436; lisp: 258; awk: 105; sql: 66; sed: 53; csh: 10; exp: 6
file content (65 lines) | stat: -rw-r--r-- 1,838 bytes parent folder | download | duplicates (26)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
# `create` - [Results API](../README.md#results-api)

The `create` method of the results API creates a test result for a given test of a test session.

## HTTP Request

`POST /api/results/<session_token>`

## Request Payload

```json
{
  "test": "String",
  "status": "Enum['OK', 'ERROR', 'TIMEOUT', 'NOT_RUN']",
  "message": "String",
  "subtests": [
    {
      "name": "String",
      "status": "Enum['PASS', 'FAIL', 'TIMEOUT', 'NOT_RUN']",
      "message": "String"
    }
  ]
}
```

- **test** specifies the test to create the result for.
- **status** specifies the overall status of the test. It does not represent a result, but rather if the contained tests were executed as intended or if something went wrong running the test.
  - **OK**: All tests were executed without problems.
  - **ERROR**: There was an error running one or multiple tests.
  - **TIMEOUT**: It took too long for the tests to execute.
  - **NOT_RUN**: This test was skipped.
- **message** contains the reason for the overall status. If the status is `OK` the message should be `null`.
- **subtests** contains the actual results of the tests executed in this file.
  - **name**: The name of the test.
  - **status**: The status of the result:
    - **PASS**: The test was executed successfully.
    - **FAIL**: The test did not meet at least one assertion.
    - **TIMEOUT**: It took too long for this test to execute.
    - **NOT_RUN**: This test was skipped.
  - **message** contains the reason for the tests failure.

## Example

**Request:**

`POST /api/results/d89bcc00-c35b-11e9-8bb7-9e3d7595d40c`

```json
{
  "test": "/apiOne/test/one.html",
  "status": "OK",
  "message": null,
  "subtests": [
    {
      "name": "Value should be X",
      "status": "FAIL",
      "message": "Expected value to be X but got Y"
    }
  ]
}
```

**Response:**

`200 OK`